function u=bc(u1,fisico)
%
% Add periodic boundary conditions to the vector U
% defined on the indices FISICO. Update 2 boundary cells
% on each side
%
n=length(fisico);
u=u1;
u(fisico(1)-1) = u(fisico(n));
u(fisico(1)-2) = u(fisico(n)-1);
u(fisico(n)+1) = u(fisico(1));
u(fisico(n)+2) = u(fisico(1)+1);
